Bug #83804 switch to CMAKE_POLICY CMP0022 NEW
Submitted: 14 Nov 2016 10:54 Modified: 15 Nov 2016 15:45
Reporter: Tor Didriksen Email Updates:
Status: Closed Impact on me:
None 
Category:MySQL Server: Compiling Severity:S3 (Non-critical)
Version:8.0.1 OS:Any
Assigned to: CPU Architecture:Any

[14 Nov 2016 10:54] Tor Didriksen
Description:
CMP0022 == OLD is deprecated, set it to NEW

How to repeat:
Build libraries on misc. platforms

Suggested fix:
CMAKE_POLICY(SET CMP0022 NEW)
Do not set  INTERFACE_LINK_LIBRARIES or LINK_INTERFACE_LIBRARIES when merging libraries
(i.e. keep transitive dependencies)

Remove transitive dependencies for 'mysqld', for linking plugins on windows.
[15 Nov 2016 15:45] Paul Dubois
Posted by developer:
 
Noted in 8.0.1 changelog.

CMake now uses CMAKE_POLICY of CMP0022 NEW rather than CMP0022 OLD.